Bug 611512 - SELinux is preventing /usr/libexec/gnome-system-monitor-mechanism "getattr" access on /usr/share/locale/locale.alias.
SELinux is preventing /usr/libexec/gnome-system-monitor-mechanism "getattr" a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:b9ca9f70073...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 08:28 EDT by Jiannan Liu
Modified: 2010-07-07 04:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 04:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiannan Liu 2010-07-05 08:28:55 EDT
Summary:

SELinux is preventing /usr/libexec/gnome-system-monitor-mechanism "getattr"
access on /usr/share/locale/locale.alias.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by gnome-system-mo. It is not expected that this
access is required by gnome-system-mo and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:gnomesystemmm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:locale_t:s0
Target Objects                /usr/share/locale/locale.alias [ file ]
Source                        gnome-system-mo
Source Path                   /usr/libexec/gnome-system-monitor-mechanism
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-system-monitor-2.28.1-1.fc13
Target RPM Packages           glibc-common-2.12-1
Policy RPM                    selinux-policy-3.7.19-10.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.3-85.fc13.x86_64 #1 SMP Thu
                              May 6 18:09:49 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Mon 05 Jul 2010 08:25:44 PM CST
Last Seen                     Mon 05 Jul 2010 08:25:44 PM CST
Local ID                      41e5007f-71f8-4243-ab32-128f015125db
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278332744.306:43193): avc:  denied  { getattr } for  pid=2939 comm="gnome-system-mo" path="/usr/share/locale/locale.alias" dev=sda7 ino=1051923 scontext=system_u:system_r:gnomesystemmm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:locale_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278332744.306:43193): arch=c000003e syscall=5 success=yes exit=0 a0=3 a1=7fffaddc21c0 a2=7fffaddc21c0 a3=7fffaddc20b0 items=0 ppid=2938 pid=2939 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="gnome-system-mo" exe="/usr/libexec/gnome-system-monitor-mechanism" subj=system_u:system_r:gnomesystemmm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,gnome-system-mo,gnomesystemmm_t,locale_t,file,getattr
audit2allow suggests:

#============= gnomesystemmm_t ==============
allow gnomesystemmm_t locale_t:file getattr;
Comment 1 Miroslav Grepl 2010-07-07 04:24:31 EDT
Please update your selinux-policy

# yum update selinux-policy-targeted

Note You need to log in before you can comment on or make changes to this bug.